summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nathaniel Russell <naterussell83@gmail.com>2023-01-26 00:54:12 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-01-28 08:23:03 +0700
commit652b907499e59e73c44c6667390483a3cd0fb63f (patch)
treeb3512c7d90b8b7992c040d3561be64bd85a5895c
parentd8383bb4da12c94a31378e41920bc01b8572b382 (diff)
downloadslackbuilds-652b907499e59e73c44c6667390483a3cd0fb63f.tar.gz
slackbuilds-652b907499e59e73c44c6667390483a3cd0fb63f.tar.xz
graphics/eog: Added (This is the Eye of GNOME)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/eog/README3
-rw-r--r--graphics/eog/doinst.sh15
-rw-r--r--graphics/eog/eog.SlackBuild120
-rw-r--r--graphics/eog/eog.info10
-rw-r--r--graphics/eog/slack-desc19
5 files changed, 167 insertions, 0 deletions
diff --git a/graphics/eog/README b/graphics/eog/README
new file mode 100644
index 0000000000..06ddb358eb
--- /dev/null
+++ b/graphics/eog/README
@@ -0,0 +1,3 @@
+The Eye of GNOME image viewer (eog) is the official image viewer for the
+GNOME desktop. It can view single image files in a variety of formats,
+as well as large image collections.
diff --git a/graphics/eog/doinst.sh b/graphics/eog/doinst.sh
new file mode 100644
index 0000000000..9091c626ac
--- /dev/null
+++ b/graphics/eog/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/eog/eog.SlackBuild b/graphics/eog/eog.SlackBuild
new file mode 100644
index 0000000000..6e65784f7e
--- /dev/null
+++ b/graphics/eog/eog.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Slackware build script for eog
+
+# Copyright 2023 Nathaniel Russell <naterussell83@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=eog
+VERSION=${VERSION:-41.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+meson setup ..\
+ --prefix=/usr \
+ --buildtype=release \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --sysconfdir=/etc \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ -Ddefault_library=shared \
+ -Dlibexif=true \
+ -Dcms=true \
+ -Dxmp=true \
+ -Dlibjpeg=true \
+ -Dlibrsvg=true \
+ -Dgtk_doc=false \
+ -Dintrospection=true \
+ -Dinstalled_tests=false \
+ -Dlibportal=true \
+ -Dprofile=default
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog* HACKING MAINTAINERS NEWS README.md THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/eog/eog.info b/graphics/eog/eog.info
new file mode 100644
index 0000000000..39cecc97e5
--- /dev/null
+++ b/graphics/eog/eog.info
@@ -0,0 +1,10 @@
+PRGNAM="eog"
+VERSION="41.2"
+HOMEPAGE="https://wiki.gnome.org/Apps/EyeOfGnome"
+DOWNLOAD="https://download.gnome.org/sources/eog/41/eog-41.2.tar.xz"
+MD5SUM="0418d8953ea59d16eba6b3f2bc52f20f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnome-desktop libpeas exempi libportal"
+MAINTAINER="Nathaniel Russell"
+EMAIL="naterussell83@gmail.com"
diff --git a/graphics/eog/slack-desc b/graphics/eog/slack-desc
new file mode 100644
index 0000000000..d95d6502f7
--- /dev/null
+++ b/graphics/eog/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eog: eog (This is the Eye of GNOME)
+eog:
+eog: This is the Eye of GNOME, an image viewer program.
+eog: It is meant to be a fast and functional image viewer.
+eog:
+eog:
+eog:
+eog:
+eog:
+eog: https://gitlab.gnome.org/GNOME/eog
+eog: